#!/bin/bash

set -e
echo Tar bort gamla bilder...
rm -f unarstorm_*.png
echo Konverterar...
pngtopnm unarstorm-current.png > unarstorm-current.ppm
echo Splittar...
pamdice -outstem=unarstorm -width 640 -height 480 unarstorm-current.ppm
echo Konverterar...
for f in unarstorm_*_*.ppm; do pnmtopng $f > `echo $f|sed -e 's/ppm$/png/'`; done
echo Skapar tumnaglar...
for f in unarstorm_*_*.ppm; do pnmscale 0.1 $f > `echo $f|sed -e 's/ppm$/thumb/'`; done
echo Konverterar tumnaglar
for f in unarstorm_*_*.thumb; do pnmtopng $f > `echo $f|sed -e 's/\.thumb$/_thumb.png/'`; done
echo Skapar index...
./buildindex.pl > index.html
echo Rensar upp...
rm -f *.ppm *.thumb
echo OK.



